package com.skr.mdm.api.content.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.skr.mdm.dto.LoginAdminDTO;
import com.skr.mdm.result.ResponseResult;
import com.skr.mdm.entity.ContentDocumentDO;
import com.skr.mdm.bean.qo.BaseQueryQO;
import com.skr.mdm.bean.qo.StrategyUserQO;
import com.skr.mdm.bean.qo.content.DocumentIssuedQO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author nfq
 * @date 2022-10-28 11:39
 */
public interface ContentDocumentService extends IService<ContentDocumentDO> {

	ResponseResult uploadAndSaveFile(MultipartFile file, Integer globalType, LoginAdminDTO loginAdminDTO) throws Exception;

	ResponseResult list(BaseQueryQO baseQueryQO, LoginAdminDTO loginAdminDTO);

	ResponseResult issuedDocument(DocumentIssuedQO documentIssuedQO, LoginAdminDTO loginAdminDTO);

	ResponseResult deleteDocument(List<Integer> strategyIdList, LoginAdminDTO loginAdminDTO) throws Exception;

	ResponseResult listDocumentUser(StrategyUserQO strategyUserQO);

	ResponseResult deleteDocumentUser(Integer strategyId, List<Integer> equipmentIdList, LoginAdminDTO loginAdminDTO);

}
